package com.jiuqi.grid;

import com.jiuqi.util.StreamException;
import com.jiuqi.util.Stream;
import java.util.ArrayList;
import java.util.List;
import java.io.Serializable;

public class WordList implements Serializable
{
    private List list;
    
    public WordList() {
        this.list = new ArrayList();
    }
    
    public int get(final int index) {
        return this.list.get(index);
    }
    
    public void set(final int index, final int value) {
        this.list.set(index, new Integer(value));
    }
    
    public void add(final int value) {
        this.list.add(new Integer(value));
    }
    
    public void add(final Integer value) {
        this.list.add(value);
    }
    
    public void add(final int index, final int value) {
        this.list.add(index, new Integer(value));
    }
    
    public void delete(final int index) {
        this.list.remove(index);
    }
    
    public void clear() {
        this.list.clear();
    }
    
    public void loadFromStream(final Stream stream, final int size) throws StreamException {
        this.list.clear();
        for (int i = 0; i < size / 2; ++i) {
            this.list.add(new Integer(stream.readWord()));
        }
    }
    
    public void saveToStream(final Stream stream) throws StreamException {
        for (int i = 0; i < this.list.size(); ++i) {
            final Integer v = this.list.get(i);
            stream.writeWord((v == null) ? 0 : ((int)v));
        }
    }
}
